<template>
  <div
    ref="container"
    class="input"
    :class="{
      'select--is-focused': isFocused
    }"
    :style="{
      width,
      height,
    }"
    :tabindex="0"
    @focus="focus"
    @blur="blur"
  >
    <label
      class="input__container"
      :class="{
        [`input__container--state-${state}`]: !!state
      }"
    >
      <span class="input__before">
        <slot name="before" />
      </span>
      <span
        class="input__content"
      >
        <input
          v-model="val"
          type="text"
          class="input__input"
          @focus="focus"
          @blur="blur"
        >
      </span>
      <span class="input__after">
        <slot name="after" />
      </span>
    </label>
  </div>
</template>

<script>
import formFieldMixin from '../formFieldMixin';

export default {
  name: 'FormInput',
  mixins: [formFieldMixin],
};
</script>

<style lang="scss">
  @import "./input";
</style>
